<?php
if (!defined('PLX_ROOT')) exit; // Security check

class AllInOneAccessibility extends plxPlugin {

    public function __construct($default_lang) {
  
        parent::__construct($default_lang);

        $this->setConfigProfil(PROFIL_ADMIN);

        $this->setAdminProfil(PROFIL_ADMIN);
        $this->setAdminMenu('All in One Accessibility', 50);

        // Enable hooks (JavaScript hook only active when the plugin is enabled)
        $this->addHook('ThemeEndHead', 'addAccessibilityScript');
    }

    // Method to add the JavaScript file to the front-end

 public function addAccessibilityScript() {
        // Only add the script if the plugin is enabled
      
       echo '<script src="'.PLX_PLUGINS.'AllInOneAccessibility/js/allinoneaccessibility.js"></script>';
    }

    public function OnAdminPage() {
        return $this->getAdminPage();
    }

    public function getAdminPage() {
    
    $message = $this->getParam('message') ?? ''; // Fallback to empty if not set
    $enabled = $this->getParam('enabled') ?? 0; // Fallback to 0 if not set

    // If no message or not enabled, warn about incomplete configuration
    if (empty($message) || !$enabled) {
        echo '<p style="color: red;">The plugin is not fully configured. Please enter a message and enable the plugin.</p>';
    }

    ob_start();
    ?>
    <h2>All in One Accessibility - Configuration</h2>
    <form action="plugin.php?p=AllInOneAccessibility" method="post">
        <label for="message">Accessibility Message:</label>
        <input type="text" name="message" id="message" value="<?php echo $message; ?>">
        <p>
            <input type="checkbox" name="enabled" id="enabled" value="1" <?php echo ($enabled ? 'checked' : ''); ?>>
            <label for="enabled">Enable JavaScript</label>
        </p>
        <input type="submit" value="Save">
    </form>
    <?php
    return ob_get_clean();
}

    // Handle form submission and save parameters
    public function OnSaveParams() {
        if (isset($_POST['message'])) {
            $this->setParam('message', $_POST['message'], 'string');
        }
        if (isset($_POST['enabled'])) {
            $this->setParam('enabled', 1, 'numeric');
        } else {
            $this->setParam('enabled', 0, 'numeric');
        }
        $this->saveParams();
    }
  
}
?>
